## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate icu_collections

Name:           rust-icu_collections
Version:        1.5.0
Release:        %autorelease
Summary:        Collection of API for use in ICU libraries

License:        Unicode-3.0
URL:            https://crates.io/crates/icu_collections
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop benchmark-only criterion dependency
Patch:          icu_collections-fix-metadata.diff
# * Downstream-only: unconditionally skip compiling tests that would require the
#   circular (path-based) dev-dependency on the icu crate.
Patch10:        icu_collections-1.5.0-no-icu-dev-dependency.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Collection of API for use in ICU libraries.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+databake-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+databake-devel %{_description}

This package contains library source intended for building other packages which
use the "databake" feature of the "%{crate}" crate.

%files       -n %{name}+databake-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# Avoid a dependency on the internal icu_benchmark_macros crate
rm -rv examples/
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f databake,serde

%build
%cargo_build -f databake,serde

%install
%cargo_install -f databake,serde

%if %{with check}
%check
# * All doc tests use icu::collections, which would require the circular
#   (path-based) dev-dependency on the icu crate.
# * Tests using databake may fail due to trivial differences in the string
#   representations of generated code, such as trailing commas without semantic
#   significance.
%{cargo_test -f databake,serde -- --tests -- --exact %{shrink:
    --skip codepointinvlist::cpinvlist::tests::databake
    --skip codepointtrie::cptrie::tests::databake
}}
%endif

%changelog
## START: Generated by rpmautospec
* Wed May 21 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-6
- Restore postcard dev-dependency

* Mon May 12 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-5
- Update .rpmlintrc file for current rpmlint

* Tue Apr 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-4
- Don’t run the --lib tests twice; they are included in --tests

* Tue Apr 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-3
- Stop packaging the bench feature, only relevant for CI

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 10 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-1
- Initial package (close RHBZ#2328487)
- Re-generate with rust2rpm 27 for a slightly nicer spec file
## END: Generated by rpmautospec
